System.ServiceModel 4.0.0.0 System.Runtime.InteropServices.ExternalException

This exception can be thrown when the Message Queuing channel interacts with a message queue, including opening a queue, querying a queue for information, sending messages, and receiving messages.

The exception contains the Message Queuing error code. Typically, this exception is thrown when the framework cannot recover from the error automatically and requires some human intervention. For example, this exception will be thrown if Message Queuing is not installed and an attempt is made to open the Message Queuing transport listener.

Encapsulates errors returned by Message Queuing (MSMQ). This exception is thrown by the Message Queuing transport and the Message Queuing integration channel.

- Constructor
  4.0.0.0

  This exception can be thrown when the Message Queuing (MSMQ) channel interacts with a message queue, including opening a queue, querying a queue for information, sending messages, and receiving messages.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  This exception can be thrown when the Message Queuing (MSMQ) channel interacts with a message queue, including opening a queue, querying a queue for information, sending messages, and receiving messages.

  Initializes a new instance of the class with the message provided.

- Constructor
  4.0.0.0

  This exception can be thrown when the Message Queuing (MSMQ) channel interacts with a message queue, including opening a queue, querying a queue for information, sending messages, and receiving messages.

  Initializes a new instance of the class with additional serialized information about the exception.

  A that holds the serialized data associated with the .
  A that contains the source and destination of the serialized stream associated with the .
- Constructor
  4.0.0.0
  To be added.

  This exception can be thrown when the Message Queuing (MSMQ) channel interacts with a message queue, including opening a queue, querying a queue for information, sending messages, and receiving messages.

  Initializes a new instance of the class with the message and inner exception provided.

  The inner exception to be encapsulated by the new instance of the class.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  This exception can be thrown when the Message Queuing channel interacts with a message queue, including opening a queue, querying a queue for information, sending messages, and receiving messages.

  Initializes a new instance of the class with the message and error code provided.